diff -u attr-2.4.43/debian/changelog attr-2.4.43/debian/changelog
--- attr-2.4.43/debian/changelog
+++ attr-2.4.43/debian/changelog
@@ -1,3 +1,15 @@
+attr (1:2.4.43-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Backport the following fix by Petr Salinger from upstream to fix
+    FTBFS on GNU/kFreeBSD (Closes: #531950): [git commit b4636a4e9e]
+    On Linux, ENOATTR aliases to ENODATA. On other operating systems
+    like Irix and BSD*, ENOATTR is a separate error number. Therefore,
+    protect the check on “err == ENODATA” with “#ifdef __linux__” in
+    strerror_ea() in both getfattr/getfattr.c and setfattr/setfattr.c
+
+ -- Cyril Brulebois <kibi@debian.org>  Thu, 25 Jun 2009 01:46:34 +0200
+
 attr (1:2.4.43-2) unstable; urgency=high
 
   * Remove --enable-lib64=yes in Makefile (closes: #514017)
only in patch2:
unchanged:
--- attr-2.4.43.orig/getfattr/getfattr.c
+++ attr-2.4.43/getfattr/getfattr.c
@@ -93,8 +93,11 @@
 
 const char *strerror_ea(int err)
 {
+#ifdef __linux__
+	/* The Linux kernel does not define ENOATTR, but maps it to ENODATA. */
 	if (err == ENODATA)
 		return _("No such attribute");
+#endif
 	return strerror(err);
 }
 
only in patch2:
unchanged:
--- attr-2.4.43.orig/setfattr/setfattr.c
+++ attr-2.4.43/setfattr/setfattr.c
@@ -66,8 +66,11 @@
 
 const char *strerror_ea(int err)
 {
+#ifdef __linux__
+	/* The Linux kernel does not define ENOATTR, but maps it to ENODATA. */
 	if (err == ENODATA)
 		return _("No such attribute");
+#endif
 	return strerror(err);
 }
 
